#include "test/framework/catch.hpp"
#include <string.h>

#define SHELLMATTA_TRANSPORT
#define SHELLMATTA_TRANSPORT_CRC_NO_LOOKUP
#include "test_crc32_data.h"
#include "src/shellmatta_crc.c"

TEST_CASE( "shellmatta_crc crc32Slow" ) {

    uint32_t crc = crc32Slow((char*)"123456789", 9);

    REQUIRE( crc == 0xCBF43926u);
}

TEST_CASE( "shellmatta_crc crc32Slow - more data" ) {

    uint32_t crc = crc32Slow((char*)data, sizeof(data));

    REQUIRE(crc == data_crc);
}
